# -*- encoding: utf-8 -*-
# stub: bcrypt_pbkdf 1.0.1 ruby lib
# stub: ext/mri/extconf.rb

Gem::Specification.new do |s|
  s.name = "bcrypt_pbkdf".freeze
  s.version = "1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Miklos Fazekas".freeze]
  s.date = "2020-02-26"
  s.description = "    This gem implements bcrypt_pdkfd (a variant of PBKDF2 with bcrypt-based PRF)\n".freeze
  s.email = "mfazekas@szemafor.com".freeze
  s.extensions = ["ext/mri/extconf.rb".freeze]
  s.extra_rdoc_files = ["CHANGELOG.md".freeze, "COPYING".freeze, "README.md".freeze, "lib/bcrypt_pbkdf.rb".freeze]
  s.files = ["CHANGELOG.md".freeze, "COPYING".freeze, "Gemfile".freeze, "Gemfile.lock".freeze, "README.md".freeze, "Rakefile".freeze, "bcrypt_pbkdf.gemspec".freeze, "ext/mri/bcrypt_pbkdf.c".freeze, "ext/mri/bcrypt_pbkdf_ext.c".freeze, "ext/mri/blf.h".freeze, "ext/mri/blowfish.c".freeze, "ext/mri/crypto_api.h".freeze, "ext/mri/crypto_hash_sha512.h".freeze, "ext/mri/explicit_bzero.c".freeze, "ext/mri/extconf.rb".freeze, "ext/mri/hash_sha512.c".freeze, "ext/mri/includes.h".freeze, "ext/mri/sha2.h".freeze, "ext/mri/util.h".freeze, "ext/mri/utils.h".freeze, "lib/bcrypt_pbkdf.rb".freeze, "test/bcrypt_pnkdf/engine_test.rb".freeze, "test/test_helper.rb".freeze]
  s.homepage = "https://github.com/net-ssh/bcrypt_pbkdf-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--title".freeze, "bcrypt_pbkdf".freeze, "--line-numbers".freeze, "--inline-source".freeze, "--main".freeze, "README.md".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "OpenBSD's bcrypt_pdkfd (a variant of PBKDF2 with bcrypt-based PRF)".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake-compiler>.freeze, ["~> 0.9.7"])
    s.add_development_dependency(%q<minitest>.freeze, [">= 5"])
    s.add_development_dependency(%q<openssl>.freeze, [">= 0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 3.12"])
    s.add_development_dependency(%q<rake-compiler-dock>.freeze, ["~> 0.5.3"])
  else
    s.add_dependency(%q<rake-compiler>.freeze, ["~> 0.9.7"])
    s.add_dependency(%q<minitest>.freeze, [">= 5"])
    s.add_dependency(%q<openssl>.freeze, [">= 0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 3.12"])
    s.add_dependency(%q<rake-compiler-dock>.freeze, ["~> 0.5.3"])
  end
end
